Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.infra.saci
Class SaciMASLauncherAnt

    java.lang.Object
      jason.infra.centralised.CentralisedMASLauncherAnt
          jason.infra.saci.SaciMASLauncherAnt

All Implemented Interfaces:
  MASLauncherInfraTier, java.lang.Runnable

    public class SaciMASLauncherAnt

extends CentralisedMASLauncherAnt
implements MASLauncherInfraTier

Creates the scripts to launch the MAS using SACI and starts SACI before the agents.

Field Summary

Fields inherited from class jason.infra.centralised.CentralisedMASLauncherAnt
`bindir, listener, masProcess, processOut, project, stop`

Constructor Summary
`SaciMASLauncherAnt()`

Method Summary
`java.lang.String` | `getAgSaciXMLScript(AgentParameters agp, boolean debug, boolean forceSync)`
`protected java.lang.String` | `replaceMarks(java.lang.String script, boolean debug)`
`void` | `run()`
`void` | `stopMAS()` Stops the MAS execution.
`void` | `writeSaciXMLScript(boolean debug)`
`void` | `writeSaciXMLScript(java.io.PrintStream out, boolean debug)`

Methods inherited from class jason.infra.centralised.CentralisedMASLauncherAnt
`getStartCommandArray, hasCBuild, replace, setListener, setProject, writeScripts`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jason.jeditplugin.MASLauncherInfraTier
`setListener, setProject, writeScripts`

Constructor Detail

### SaciMASLauncherAnt

    public SaciMASLauncherAnt()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `CentralisedMASLauncherAnt`

### stopMAS

    public void stopMAS()

  Description copied from interface: `MASLauncherInfraTier`
  Stops the MAS execution.

  Specified by:
    `stopMAS` in interface `MASLauncherInfraTier`
  Overrides:
    `stopMAS` in class `CentralisedMASLauncherAnt`

### replaceMarks

    protected java.lang.String replaceMarks(java.lang.String script,
                                            boolean debug)

  Overrides:
    `replaceMarks` in class `CentralisedMASLauncherAnt`

### writeSaciXMLScript

    public void writeSaciXMLScript(boolean debug)

### writeSaciXMLScript

    public void writeSaciXMLScript(java.io.PrintStream out,
                                   boolean debug)

### getAgSaciXMLScript

    public java.lang.String getAgSaciXMLScript(AgentParameters agp,
                                               boolean debug,
                                               boolean forceSync)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD